Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\MVC\Symfony\View\Renderer\TemplateRenderer Class Reference
Inheritance diagram for eZ\Publish\Core\MVC\Symfony\View\Renderer\TemplateRenderer:

## Public Member Functions
| __construct (TemplateEngine $templateEngine, EventDispatcherInterface $eventDispatcher)
| render (View $view)

## Protected Attributes
| $templateEngine
| $eventDispatcher

## Detailed Description

Definition at line 18 of file TemplateRenderer.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\MVC\Symfony\View\Renderer\TemplateRenderer::__construct | ( | TemplateEngine | $templateEngine,
|  | EventDispatcherInterface | $eventDispatcher
| ) |  |

Definition at line 26 of file TemplateRenderer.php.

References eZ\Publish\Core\MVC\Symfony\View\Renderer\TemplateRenderer\$eventDispatcher, and eZ\Publish\Core\MVC\Symfony\View\Renderer\TemplateRenderer\$templateEngine.

## Member Function Documentation

## ◆ render()

eZ\Publish\Core\MVC\Symfony\View\Renderer\TemplateRenderer::render | ( | View | $view | ) |

Parameters

  \eZ\Publish\Core\MVC\Symfony\View\View | $view |

Exceptions

  NoViewTemplateException |

Returns
  string

Implements eZ\Publish\Core\MVC\Symfony\View\Renderer.

Definition at line 39 of file TemplateRenderer.php.

References eZ\Publish\Core\MVC\Symfony\View\View\getParameters(), eZ\Publish\Core\MVC\Symfony\View\View\getTemplateIdentifier(), and eZ\Publish\Core\MVC\Symfony\MVCEvents\PRE_CONTENT_VIEW.

## Member Data Documentation

## ◆ $eventDispatcher

eZ\Publish\Core\MVC\Symfony\View\Renderer\TemplateRenderer::$eventDispatcher
| protected

Definition at line 24 of file TemplateRenderer.php.

Referenced by eZ\Publish\Core\MVC\Symfony\View\Renderer\TemplateRenderer\__construct().

## ◆ $templateEngine

eZ\Publish\Core\MVC\Symfony\View\Renderer\TemplateRenderer::$templateEngine
| protected

Definition at line 21 of file TemplateRenderer.php.

Referenced by eZ\Publish\Core\MVC\Symfony\View\Renderer\TemplateRenderer\__construct().

The documentation for this class was generated from the following file:

- TemplateRenderer.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.